CVE-2021-27635

medium

Description

SAP NetWeaver AS for JAVA, versions - 7.20, 7.30, 7.31, 7.40, 7.50, allows an attacker authenticated as an administrator to connect over a network and submit a specially crafted XML file in the application because of missing XML Validation, this vulnerability enables attacker to fully compromise confidentiality by allowing them to read any file on the filesystem or fully compromise availability by causing the system to crash. The attack cannot be used to change any data so that there is no compromise as to integrity.

References

https://launchpad.support.sap.com/#/notes/3053066

https://wiki.scn.sap.com/wiki/pages/viewpage.action?pageId=578125999

http://seclists.org/fulldisclosure/2021/Oct/28

http://packetstormsecurity.com/files/164592/SAP-JAVA-NetWeaver-System-Connections-XML-Injection.html

Details

Source: MITRE

Published: 2021-06-09

Updated: 2021-11-04

Type: CWE-611

Risk Information

CVSS v2

Base Score: 5.5

Vector: AV:N/AC:L/Au:S/C:P/I:N/A:P

Impact Score: 4.9

Exploitability Score: 8

Severity: MEDIUM

CVSS v3

Base Score: 6.5

Vector: CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:N/A:H

Impact Score: 5.2

Exploitability Score: 1.2

Severity: MEDIUM